# odbc_fetch_array

(PHP 4 >= 4.0.2, PHP 5, PHP 7)

odbc_fetch_array — Fetch a result row as an associative array

### Description

odbc_fetch_array ( resource `$result` [, int `$rownumber` ] ) : array

Fetch an associative array from an ODBC query.

### Parameters

`result`

  The result resource from odbc_exec().

`rownumber`

  Optionally choose which row number to retrieve.

### Return Values

Returns an array that corresponds to the fetched row, or `FALSE` if there are no more rows.

### Notes

> Note: This function exists when compiled with DBMaker, IBM DB2 or UnixODBC support.

### See Also

- odbc_fetch_row() - Fetch a row
- odbc_fetch_object() - Fetch a result row as an object
- odbc_num_rows() - Number of rows in a result